admin.css 6.3 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331
  1. /* * {
  2. -webkit-box-sizing: border-box;
  3. -moz-box-sizing: border-box;
  4. box-sizing: border-box;
  5. } */
  6. #logo {
  7. height: 30px;
  8. vertical-align: -6px;
  9. padding-right: 5px;
  10. }
  11. #site-name:hover a {
  12. opacity: 0.9;
  13. }
  14. #site-name .loader {
  15. height: 25px;
  16. width: 25px;
  17. display: inline-block;
  18. border-width: 3px;
  19. vertical-align: -3px;
  20. margin-right: 5px;
  21. margin-top: 2px;
  22. }
  23. #branding h1, #branding h1 a:link, #branding h1 a:visited {
  24. color: mintcream;
  25. }
  26. #header {
  27. background: #aa1e55;
  28. padding: 6px 14px;
  29. }
  30. #content {
  31. padding: 8px 8px;
  32. }
  33. #user-tools {
  34. font-size: 13px;
  35. }
  36. div.breadcrumbs {
  37. background: #772948;
  38. color: #f5dd5d;
  39. padding: 6px 15px;
  40. }
  41. #toolbar #searchbar {
  42. height: 25px;
  43. }
  44. #snapshot-view-mode {
  45. float: right;
  46. margin-bottom: -40px;
  47. display: inline-block;
  48. margin-top: 3px;
  49. margin-right: 10px;
  50. font-size: 14px;
  51. opacity: 0.8;
  52. }
  53. #snapshot-view-mode a {
  54. color: #ccc;
  55. }
  56. body.model-snapshot.change-list div.breadcrumbs,
  57. body.model-snapshot.change-list #content .object-tools {
  58. display: none;
  59. }
  60. .module h2, .module caption, .inline-group h2 {
  61. background: #772948;
  62. }
  63. #content .object-tools {
  64. margin-top: -35px;
  65. margin-right: -10px;
  66. float: right;
  67. }
  68. #content .object-tools a:link, #content .object-tools a:visited {
  69. border-radius: 0px;
  70. background-color: #f5dd5d;
  71. color: #333;
  72. font-size: 12px;
  73. font-weight: 800;
  74. }
  75. #content .object-tools a.addlink {
  76. background-blend-mode: difference;
  77. }
  78. #content #changelist #toolbar {
  79. padding: 0px;
  80. background: none;
  81. margin-bottom: 10px;
  82. border-top: 0px;
  83. border-bottom: 0px;
  84. }
  85. #content #changelist #toolbar form input[type="submit"] {
  86. border-color: #aa1e55;
  87. }
  88. #content #changelist-filter li.selected a {
  89. color: #aa1e55;
  90. }
  91. /*#content #changelist .actions {
  92. position: fixed;
  93. bottom: 0px;
  94. z-index: 800;
  95. }*/
  96. #content #changelist .actions {
  97. float: right;
  98. margin-top: -34px;
  99. padding: 0px;
  100. background: none;
  101. margin-right: 0px;
  102. width: auto;
  103. max-height: 40px;
  104. display: block;
  105. }
  106. @media (max-width: 1000px) {
  107. #content #changelist .actions {
  108. max-height: 200px;
  109. }
  110. }
  111. #content #changelist .actions .button {
  112. border-radius: 2px;
  113. background-color: #f5dd5d;
  114. color: #333;
  115. font-size: 12px;
  116. font-weight: 800;
  117. margin-right: 4px;
  118. box-shadow: 4px 4px 4px rgba(0,0,0,0.02);
  119. border: 1px solid rgba(0,0,0,0.08);
  120. }
  121. #content #changelist .actions .button:hover {
  122. border: 1px solid rgba(0,0,0,0.2);
  123. opacity: 0.9;
  124. }
  125. #content #changelist .actions .button[name=verify_snapshots], #content #changelist .actions .button[name=update_titles] {
  126. background-color: #dedede;
  127. color: #333;
  128. }
  129. #content #changelist .actions .button[name=update_snapshots] {
  130. background-color:lightseagreen;
  131. color: #333;
  132. }
  133. #content #changelist .actions .button[name=resnapshot_snapshot] {
  134. background-color: #9ee54b;
  135. color: #333;
  136. }
  137. #content #changelist .actions .button[name=overwrite_snapshots] {
  138. background-color: #ffaa31;
  139. color: #333;
  140. margin-left: 10px;
  141. }
  142. #content #changelist .actions .button[name=delete_snapshots] {
  143. background-color: #f91f74;
  144. color: rgb(255 248 252 / 64%);
  145. }
  146. #content #changelist .actions .button[name=add_tags] {
  147. }
  148. #content #changelist .actions .button[name=remove_tags] {
  149. margin-right: 25px;
  150. }
  151. #content #changelist .actions > label {
  152. max-height: 25px;
  153. }
  154. #content #changelist .actions > label {
  155. width: auto !important;
  156. min-width: 90px;
  157. }
  158. #content #changelist .actions > label > select {
  159. margin-top: 3px;
  160. }
  161. #content #changelist-filter h2 {
  162. border-radius: 4px 4px 0px 0px;
  163. }
  164. #changelist .paginator {
  165. border-top: 0px;
  166. border-bottom: 0px;
  167. }
  168. @media (min-width: 767px) {
  169. #content #changelist-filter {
  170. top: 35px;
  171. width: 110px;
  172. margin-bottom: 35px;
  173. }
  174. .change-list .filtered .results,
  175. .change-list .filtered .paginator,
  176. .filtered #toolbar,
  177. .filtered div.xfull {
  178. margin-right: 115px;
  179. }
  180. }
  181. @media (max-width: 1127px) {
  182. #content #changelist .actions {
  183. position: fixed;
  184. bottom: 6px;
  185. left: 10px;
  186. float: left;
  187. z-index: 1000;
  188. }
  189. }
  190. #content a img.favicon {
  191. height: 20px;
  192. max-width: 28px;
  193. vertical-align: -5px;
  194. padding-right: 6px;
  195. }
  196. #content td, #content th {
  197. vertical-align: middle;
  198. padding: 4px;
  199. }
  200. #content #changelist table input {
  201. vertical-align: -2px;
  202. }
  203. #content thead th .text a {
  204. padding: 8px 4px;
  205. }
  206. #content th.field-added, #content td.field-updated {
  207. word-break: break-word;
  208. min-width: 135px;
  209. white-space: normal;
  210. }
  211. #content th.field-title_str {
  212. min-width: 300px;
  213. }
  214. #content td.field-files {
  215. white-space: nowrap;
  216. }
  217. #content td.field-files .exists-True {
  218. opacity: 1;
  219. }
  220. #content td.field-files .exists-False {
  221. opacity: 0.1;
  222. filter: grayscale(100%);
  223. }
  224. #content td.field-size {
  225. white-space: nowrap;
  226. }
  227. #content td.field-url_str {
  228. word-break: break-all;
  229. min-width: 200px;
  230. }
  231. #content tr b.status-pending {
  232. font-weight: 200;
  233. opacity: 0.6;
  234. }
  235. .loader {
  236. border: 16px solid #f3f3f3; /* Light grey */
  237. border-top: 16px solid #3498db; /* Blue */
  238. border-radius: 50%;
  239. width: 30px;
  240. height: 30px;
  241. box-sizing: border-box;
  242. animation: spin 2s linear infinite;
  243. }
  244. @keyframes spin {
  245. 0% { transform: rotate(0deg); }
  246. 100% { transform: rotate(360deg); }
  247. }
  248. .tag {
  249. float: right;
  250. border-radius: 5px;
  251. background-color: #bfdfff;
  252. padding: 2px 5px;
  253. margin-left: 4px;
  254. margin-top: 1px;
  255. }
  256. .exists-False {
  257. opacity: 0.1;
  258. filter: grayscale(100%);
  259. }
  260. #result_list tbody td.field-cmd_str pre,
  261. #result_list tbody td.field-output_str pre {
  262. max-width: 22vw;
  263. word-wrap: anywhere;
  264. white-space: break-spaces;
  265. max-height: 40px;
  266. overflow: hidden;
  267. margin: 2px;
  268. background-color: rgba(0,0,0,0.05);
  269. padding: 1px 4px 16px 8px;
  270. border-radius: 4px;
  271. }
  272. #result_list tbody td.field-extractor {
  273. font-weight: 800;
  274. font-variant: small-caps;
  275. }
  276. #result_list tbody td.field-status {
  277. font-variant: small-caps;
  278. }
  279. .inline-group .tabular td.original p {
  280. margin-top: -28px;
  281. }
  282. tbody .output-link {
  283. float: right;
  284. margin-bottom: -25px;
  285. margin-right: -3px;
  286. margin-top: -4px;
  287. opacity: 0.4;
  288. box-shadow: 4px 4px 4px rgba(0,0,0,0.1);
  289. }
  290. tbody .output-link:hover {opacity: 1;}